### Method

# Pango GlyphString index_to_x

#### Declaration [src]

    void
    pango_glyph_string_index_to_x (
      PangoGlyphString* glyphs,
      char* text,
      int length,
      PangoAnalysis* analysis,
      int index_,
      gboolean trailing,
      int* x_pos
    )

#### Description [src]

Converts from character position to x position.

The X position is measured from the left edge of the run. Character positions are computed by dividing up each cluster into equal portions.

#### Parameters

`text` | `char*`
| The text for the run.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| The number of bytes (not characters) in `text`.
`analysis` | `PangoAnalysis`
| The analysis information return from `pango_itemize()`
| The data is owned by the caller of the function.
`index_` | `int`
| The byte index within `text`.
`trailing` | `gboolean`
| Whether we should compute the result for the beginning (`FALSE`) or end (`TRUE`) of the character.
`x_pos` | `int*`
| Location to store result.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.